package exemplo08;

import JPlay.Animation;
import JPlay.GameImage;
import JPlay.Keyboard;
import JPlay.Window;

/**
 * @author Gefersom Cardoso Lima
 * Universidade Federal Fluminense - UFF - Brasil - 2010
 * Ciência da Computação
 */

public class Main
{
    //Trocando os frames manualmente
    public static void main(String[] args)
    {
        Window janela = new Window(800,600);
        Keyboard keyboard = janela.getKeyboard();

        GameImage backGround = new GameImage("fundo.png");
        Animation animacao = new Animation("animacao02.png", 28);

        animacao.setPosition(300, 300);
        animacao.setTimeChangeFrame(80);

        //É preciso chamar esse método pois quando a animação é
        //criada ela já se configura para executar desde o primeiro frame até
        //o último. Setando o frame inicial e o frame final como
        //zero a animação não irá rodar.
        animacao.setRangeOfFrames(0, 0);

        boolean executando = true;
        while(executando)
        {
                backGround.draw();
                animacao.draw();
                janela.display();

                animacao.runAnimation();

                //Se apertar a seta para esquerda seta os frames que
                //correspondem a animação do boneco andando para a esquerda.
                if(keyboard.keyDown(Keyboard.LEFT_KEY))
                    animacao.setRangeOfFrames(0, 13);
                else
                {
                    //Se apertar a seta para direita seta os frames que
                    //correspondem a animação do boneco andando para a direita.
                    if(keyboard.keyDown(Keyboard.RIGHT_KEY))
                        animacao.setRangeOfFrames(14, 27);
                }

                if ( keyboard.keyDown(Keyboard.ESCAPE_KEY) == true)
                    executando = false;
        }
        janela.exit();
    }
}
